CS::Animation::iFurAnimationControl Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iFurAnimationControl Struct Reference

Simple Animation Controller. More...

`#include <imesh/furmesh.h>`

Inheritance diagram for CS::Animation::iFurAnimationControl:

List of all members.

## Public Member Functions
virtual void | AnimateStrand (size_t strandID, csVector3 *coordinates, size_t coordinatesCount) const =0
| Animate the fur strand with the given ID.
virtual void | InitializeStrand (size_t strandID, csVector3 *coordinates, size_t coordinatesCount)=0
| Initialize the fur strand with the given ID.
virtual void | RemoveAllStrands ()=0
| Remove all fur strands.
virtual void | RemoveStrand (size_t strandID)=0
| Remove the fur strand with the given ID.

## Detailed Description

Simple Animation Controller.

Definition at line 61 of file furmesh.h.

## Member Function Documentation

virtual void CS::Animation::iFurAnimationControl::AnimateStrand | ( | size_t | strandID,
|  | csVector3 * | coordinates,
|  | size_t | coordinatesCount
| ) |  | const`[pure virtual]`

Animate the fur strand with the given ID.

Parameters:

  strandID | unique ID for the fur strand
  coordinates | C/C++ array of Vector3 representing the initial positions of the control points
  coordinatesCount | the number of control points

virtual void CS::Animation::iFurAnimationControl::InitializeStrand | ( | size_t | strandID,
|  | csVector3 * | coordinates,
|  | size_t | coordinatesCount
| ) |  | `[pure virtual]`

Initialize the fur strand with the given ID.

Parameters:

  strandID | unique ID for the fur strand
  coordinates | C/C++ array of Vector3 representing the initial positions of the control points
  coordinatesCount | the number of control points

virtual void CS::Animation::iFurAnimationControl::RemoveAllStrands | ( |  | ) | `[pure virtual]`

Remove all fur strands.

virtual void CS::Animation::iFurAnimationControl::RemoveStrand | ( | size_t | strandID | ) | `[pure virtual]`

Remove the fur strand with the given ID.

Parameters:

  strandID | unique ID for the fur strand

The documentation for this struct was generated from the following file:

- imesh/furmesh.h